Bug 1413822 - [abrt] gnome-software: g_hash_table_remove_all_nodes(): gnome-software killed by SIGABRT
Summary: [abrt] gnome-software: g_hash_table_remove_all_nodes(): gnome-software killed...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:1cb7b20c945768e7bfe198275fc...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-17 03:45 UTC by John Williams
Modified: 2017-12-12 10:54 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:54:34 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (26.19 KB, text/plain)
2017-01-17 03:45 UTC, John Williams
no flags Details
File: cgroup (259 bytes, text/plain)
2017-01-17 03:45 UTC, John Williams
no flags Details
File: core_backtrace (7.06 KB, text/plain)
2017-01-17 03:45 UTC, John Williams
no flags Details
File: dso_list (10.69 KB, text/plain)
2017-01-17 03:45 UTC, John Williams
no flags Details
File: environ (2.04 KB, text/plain)
2017-01-17 03:45 UTC, John Williams
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-17 03:45 UTC, John Williams
no flags Details
File: maps (50.15 KB, text/plain)
2017-01-17 03:45 UTC, John Williams
no flags Details
File: mountinfo (3.57 KB, text/plain)
2017-01-17 03:45 UTC, John Williams
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-17 03:45 UTC, John Williams
no flags Details
File: open_fds (2.06 KB, text/plain)
2017-01-17 03:45 UTC, John Williams
no flags Details
File: proc_pid_status (1.14 KB, text/plain)
2017-01-17 03:45 UTC, John Williams
no flags Details
File: var_log_messages (305 bytes, text/plain)
2017-01-17 03:45 UTC, John Williams
no flags Details

Description John Williams 2017-01-17 03:45:19 UTC
Version-Release number of selected component:
gnome-software-3.22.4-2.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: g_hash_table_remove_all_nodes
executable:     /usr/bin/gnome-software
global_pid:     7741
kernel:         4.9.3-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (10 frames)
 #7 g_hash_table_remove_all_nodes at ghash.c:548
 #9 g_hash_table_unref at ghash.c:1097
 #10 gs_app_finalize at gs-app.c:3459
 #12 g_ptr_array_foreach at garray.c:1502
 #13 ptr_array_free at garray.c:1088
 #14 g_ptr_array_unref at garray.c:1036
 #15 gs_app_dispose at gs-app.c:3420
 #17 g_hash_table_remove_all_nodes at ghash.c:548
 #19 g_hash_table_unref at ghash.c:1097
 #20 gs_app_list_finalize at gs-app-list.c:463

Comment 1 John Williams 2017-01-17 03:45:24 UTC
Created attachment 1241527 [details]
File: backtrace

Comment 2 John Williams 2017-01-17 03:45:26 UTC
Created attachment 1241528 [details]
File: cgroup

Comment 3 John Williams 2017-01-17 03:45:27 UTC
Created attachment 1241529 [details]
File: core_backtrace

Comment 4 John Williams 2017-01-17 03:45:29 UTC
Created attachment 1241530 [details]
File: dso_list

Comment 5 John Williams 2017-01-17 03:45:30 UTC
Created attachment 1241531 [details]
File: environ

Comment 6 John Williams 2017-01-17 03:45:32 UTC
Created attachment 1241532 [details]
File: limits

Comment 7 John Williams 2017-01-17 03:45:34 UTC
Created attachment 1241533 [details]
File: maps

Comment 8 John Williams 2017-01-17 03:45:36 UTC
Created attachment 1241534 [details]
File: mountinfo

Comment 9 John Williams 2017-01-17 03:45:37 UTC
Created attachment 1241535 [details]
File: namespaces

Comment 10 John Williams 2017-01-17 03:45:38 UTC
Created attachment 1241536 [details]
File: open_fds

Comment 11 John Williams 2017-01-17 03:45:39 UTC
Created attachment 1241537 [details]
File: proc_pid_status

Comment 12 John Williams 2017-01-17 03:45:41 UTC
Created attachment 1241538 [details]
File: var_log_messages

Comment 13 srakitnican 2017-02-11 13:02:50 UTC
Similar problem has been detected:

Not sure what causes it, I am noticing gnome-software crashing in the background when using Steam, restarting Steam or closing/starting Steam application.

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: g_hash_table_remove_all_nodes
executable:     /usr/bin/gnome-software
global_pid:     18238
kernel:         4.9.7-201.fc25.x86_64
package:        gnome-software-3.22.5-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         gnome-software killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Fedora End Of Life 2017-11-16 14:40:18 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2017-12-12 10:54:34 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.